#include "counter.h"

namespace sled {
namespace metric {
void
Counter::Increment()
{
    gauge_.Increment();
}

void
Counter::Increment(double value)
{
    if (value < 0) { return; }
    gauge_.Increment(value);
}

void
Counter::Reset()
{
    gauge_.Set(0);
}

double
Counter::Value() const
{
    return gauge_.Value();
}

}// namespace metric
}// namespace sled
